Subject: Re: MPC5200/Lite5200 and ethernet

From: Andrey Volkov <[email-masked]>
Date: Fri, 17 Jun 2005 14:28:23 +0400

Dale Farnsworth wrote:
> On Thu, Jun 16, 2005 at 10:55:15PM +0400, Andrey Volkov wrote:
> 
>>Grant Likely wrote:
>>
>>>On 6/16/05, Andrey Volkov <[email-masked]> wrote:
>>>
>>>
>>>>AFAIK almost all patches from http://www.246tnt.com/mpc52xx/ now in
>>>>vanilla kernel. Except, bestcomm, certainly :(.
>>>
>>>FEC is missing too.
>>>
>>>Is anybody even working on bestcomm at the moment?
>>
>>It may be Dale Farnsworth or smb. quietly in Freescale.
> 
> 
> I sent patches to Sylvain in August 2004 with 5200 FEC support,
> including my rewrite of the bestcomm FEC code.  I've bugged him
> about it a few times, and I don't know why he hasn't made it available.
> I haven't done much with the 5200 since then.  I'm traveling now and
> have some other pressing issues, but I'll try to post what
> I have in the next couple of weeks.
> 
> -Dale

Dale, don't worry, Sylvain public your patches in himself src tree
(http://www.246tnt.com/mpc52xx/) at August/September,2004.
But, after that, OCP infra was dropped in kernel, and, hence, this
driver was not sent to Andrew Morton (Bestcomm stuff, until now, OCP
depended). And no one find time to convert Bestcomm to platform bus
model :(.

I planned start this job at July/August, so if someone wish to do it NOW
(June) - welcome.

-- 
Regards
Andrey Volkov